
; TMR_CENTER is the Tmr value corresponding to a channel centered (Tmr(0%))
; 1.5ms (pulse for 0%) / 10.92ms (Timer1 overflow) * 65535 = 9002
#define	TMR_CENTER	.9002	



; BUTTON_THRESHOLD (0..255) = (desired_button_threshold_pulse_width_in_ms / 10.92ms) * 256
; example: .40 for a 1.7ms button threashold pulse width (40 = 1.7ms / 10.92ms * 256).
; Button is set (pressed) when channel pulse width > threshold. Use something like 1.7ms
; instead of center=1.5ms: in this way when channel is transmitted by the radio but not
; used to map any external switch and so left centered, the relative joystick button
; appears not pressed. 
; 1.1ms (min:    -100%) = .26
; 1.5ms (center: 	0%) = .35
; 1.7ms (3/4:     +50%) = .40
; 1.9ms (max:    +100%)	= .44
#define BUTTON_THRESHOLD	.40		; = 1.7ms / 10.92ms * 256	

; NBITS give the resolution of data used in the rescaling algorithm
#define	NBITS		.8

; TMR_RANGE must be as close as possible to the real Tmr range (Tmr(+100%)-Tmr(-100%)) but
; multiple of 2^NBITS (and than exactly divisible by 2 at least NBITS times); for an mc12:
; 1.1ms (pulse for -100%) / 10.92ms (Timer1 overflow) * 65535 = 6601
; 1.9ms (pulse for +100%) / 10.92ms (Timer1 overflow) * 65535 = 11402
; 11402 - 6601 = 4801
; then:
; NBITS = 8: 4801 =~ 19 * 2^8 = 4864
; NBITS = 10: 4801 =~ 5 * 2^10 = 5120
#define TMR_RANGE	.4864


